Package it.ernytech.tdlib

## Class TdApi.UpdateNewInlineCallbackQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewInlineCallbackQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewInlineCallbackQuery
    extends TdApi.Update

A new incoming callback query from a message sent via a bot; for bots only.

### Field Summary

Fields
`long` `chatInstance` An identifier uniquely corresponding to the chat a message was sent to.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `id` Unique query identifier.
`java.lang.String` `inlineMessageId` Identifier of the inline message, from which the query originated.
`TdApi.CallbackQueryPayload` `payload` Query payload.
`int` `senderUserId` Identifier of the user who sent the query.

### Constructor Summary

Constructors
`UpdateNewInlineCallbackQuery()` Default constructor.
`UpdateNewInlineCallbackQuery​(long id, int senderUserId, java.lang.String inlineMessageId, long chatInstance, TdApi.CallbackQueryPayload payload)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Unique query identifier.

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### inlineMessageId

    public java.lang.String inlineMessageId

Identifier of the inline message, from which the query originated.

#### chatInstance

    public long chatInstance

An identifier uniquely corresponding to the chat a message was sent to.

#### payload

    public TdApi.CallbackQueryPayload payload

Query payload.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewInlineCallbackQuery

    public UpdateNewInlineCallbackQuery()

Default constructor.

#### UpdateNewInlineCallbackQuery

    public UpdateNewInlineCallbackQuery​(long id,
                                        int senderUserId,
                                        java.lang.String inlineMessageId,
                                        long chatInstance,
                                        TdApi.CallbackQueryPayload payload)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `inlineMessageId` - Identifier of the inline message, from which the query originated.
  `chatInstance` - An identifier uniquely corresponding to the chat a message was sent to.
  `payload` - Query payload.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR